> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lygosapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Transaction

> get transaction details from track_id



## OpenAPI

````yaml api-reference/openapi.json get /v1/api/deposit/get_transaction
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.lygosapp.com
    description: Production Server
security: []
paths:
  /v1/api/deposit/get_transaction:
    get:
      tags:
        - Collecte
      summary: Read Transaction
      description: get transaction details from track_id
      operationId: read_transaction_api_v1_api_deposit_get_transaction_get
      parameters:
        - name: track_id
          in: query
          required: true
          schema:
            type: string
            title: Track Id
        - name: api-key
          in: header
          required: true
          schema:
            type: string
            description: Clé API pour l'authentification
            title: Api-Key
          description: Clé API pour l'authentification
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionResponseSchemas'
        '404':
          description: Unknown Not Found
          content:
            application/json:
              examples:
                No API Key:
                  summary: No API Key
                  value:
                    detail:
                      message: No API Key.
                      type: NO_API_KEY_PROVIDED
                Transaction not found:
                  summary: Transaction not found
                  value:
                    detail:
                      message: Transaction not found.
                      type: TRANSACTION_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TransactionResponseSchemas:
      properties:
        track_id:
          type: string
          title: Track Id
        amount:
          type: number
          title: Amount
        phone_number:
          type: string
          title: Phone Number
        country:
          type: string
          title: Country
        currency:
          type: string
          title: Currency
        operator:
          type: string
          title: Operator
        status:
          type: string
          title: Status
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          default: '2025-12-12T09:15:34.448314'
      type: object
      required:
        - track_id
        - amount
        - phone_number
        - country
        - currency
        - operator
        - status
      title: TransactionResponseSchemas
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````